Bug 220681 - www/rubygem-passenger: shebangfix errors
Summary: www/rubygem-passenger: shebangfix errors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Nikolai Lifanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-12 17:12 UTC by Nikolai Lifanov
Modified: 2017-09-15 17:07 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (osa)


Attachments
Fix multiple stage-qa errors (2.53 KB, patch)
2017-08-10 22:10 UTC, Alan Somers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov freebsd_committer 2017-07-12 17:12:25 UTC
The www/rubygem-passenger has a plist error:

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
sed: 1: "s!^/usr/local/!!g;  s!l ...": unterminated regular expression
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: @dir %%GEM_LIB_DIR%%/buildout/apache2/module_libboost_oxt/boost
Error: Orphaned: @dir %%GEM_LIB_DIR%%/buildout/apache2/module_libboost_oxt/oxt
Error: Orphaned: @dir %%GEM_LIB_DIR%%/buildout/apache2/module_lib%%AP_NAME%%_common/Utils
Error: Orphaned: @dir %%GEM_LIB_DIR%%/buildout/apache2/module_lib%%AP_NAME%%_common/vendor-modified
Error: Orphaned: @dir %%GEM_LIB_DIR%%/buildout/common/libboost_oxt/boost
Error: Orphaned: @dir %%GEM_LIB_DIR%%/buildout/common/libboost_oxt/oxt
Error: Orphaned: @dir %%GEM_LIB_DIR%%/buildout/common/lib%%AP_NAME%%_common/DataStructures
Error: Orphaned: @dir %%GEM_LIB_DIR%%/buildout/common/lib%%AP_NAME%%_common/MemoryKit
Error: Orphaned: @dir %%GEM_LIB_DIR%%/buildout/common/lib%%AP_NAME%%_common/ServerKit
Error: Orphaned: @dir %%GEM_LIB_DIR%%/buildout/common/lib%%AP_NAME%%_common/Utils
Error: Orphaned: @dir %%GEM_LIB_DIR%%/buildout/common/lib%%AP_NAME%%_common/vendor-modified
Error: Orphaned: @dir %%GEM_LIB_DIR%%/download_cache
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/www/rubygem-passenger
Comment 1 Sergey A. Osokin freebsd_committer 2017-07-12 20:38:06 UTC
Nikolay,

the plist for www/rubygem-passenger port generates automagically.  I'd recommend to re-assign this issue to ruby@FreeBSD.org.
Comment 2 Nikolai Lifanov freebsd_committer 2017-07-13 14:22:22 UTC
That's what I got from pkg building cluster, but I tested it in my own poudriere, and I think that's just noise.

However, there are other fatal stage-qa issues that cause it to fail to build/package (just the shebang stuff needs to be fixed):

====> Running Q/A tests (stage-qa)
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'lib/ruby/gems/2.3/gems/passenger-5.1.4/dev/vagrant/provision.sh'
Error: '/usr/bin/ruby' is an invalid shebang you need USES=shebangfix for 'lib/ruby/gems/2.3/gems/passenger-5.1.4/dev/vagrant/nginx_start'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'lib/ruby/gems/2.3/gems/passenger-5.1.4/dev/ci/run_jenkins.sh'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'lib/ruby/gems/2.3/gems/passenger-5.1.4/dev/ci/inituidgid'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'lib/ruby/gems/2.3/gems/passenger-5.1.4/dev/ci/run_travis.sh'
Error: '/usr/bin/env python' is an invalid shebang you need USES=shebangfix for 'lib/ruby/gems/2.3/gems/passenger-5.1.4/src/cxx_supportlib/vendor-copy/libuv/gyp_uv.py'
Warning: 'lib/ruby/gems/2.3/gems/passenger-5.1.4/buildout/support-binaries/PassengerAgent' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Warning: 'lib/ruby/gems/2.3/gems/passenger-5.1.4/buildout/ruby/ruby-2.3.4-x86_64-freebsd/passenger_native_support.so' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Warning: 'lib/ruby/gems/2.3/gems/passenger-5.1.4/buildout/apache2/mod_passenger.so' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
Error: .la libraries found, port needs USES=libtool
Warning: you need USES=ssl
Error: /usr/local/lib/ruby/gems/2.3/gems/passenger-5.1.4/buildout/apache2/mod_passenger.so is linked to /usr/local/lib/libapr-1.so.0 from devel/apr1 but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libapr-1.so:devel/apr1
Error: /usr/local/lib/ruby/gems/2.3/gems/passenger-5.1.4/buildout/apache2/mod_passenger.so is linked to /usr/local/lib/libaprutil-1.so.0 from devel/apr1 but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libaprutil-1.so:devel/apr1
*** Error code 1

Stop.
make: stopped in /usr/ports/www/rubygem-passenger
Comment 3 Nikolai Lifanov freebsd_committer 2017-07-30 15:30:25 UTC
I'm removing a blocker for 220605 because it's not the same issue.
Comment 4 Alan Somers freebsd_committer 2017-08-10 22:10:51 UTC
Created attachment 185249 [details]
Fix multiple stage-qa errors

Here's a patch that fixes the shebang errors. It also fixes several other stage-qa errors:
* Unstripped binraies
* missing USES=libtool
* several missing LIB_DEPENDS, and a USES=ssl
* missing PLIST dirs
Comment 5 commit-hook freebsd_committer 2017-09-15 17:06:34 UTC
A commit references this bug:

Author: asomers
Date: Fri Sep 15 17:05:42 UTC 2017
New revision: 449908
URL: https://svnweb.freebsd.org/changeset/ports/449908

Log:
  www/rubygem-passenger: fix stage-qa errors

  Fix multiple stage-qa errors:
  * shebangfix
  * Unstripped binraies
  * missing USES=libtool
  * several missing LIB_DEPENDS, and a USES=ssl
  * missing PLIST dirs

  PR:		220681
  Reported by:	lifanov
  Approved by:	osa (maintainer timeout)
  Sponsored by:	Spectra Logic Corp

Changes:
  head/www/rubygem-passenger/Makefile